Loading...
Searching...
No Matches
SphericalProjection.h File Reference

Header file for SphericalProjection effect class. More...

`#include "../EffectBase.h"`
`#include "../Frame.h"`
`#include "../Json.h"`
`#include "../KeyFrame.h"`
`#include <memory>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | openshot::SphericalProjection
| Projects 360° or fisheye video through a virtual camera. Supports yaw, pitch, roll, input and output FOV, sphere/hemisphere/fisheye modes, optional inversion, and automatic quality selection. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for SphericalProjection effect class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file SphericalProjection.h.